Skip to main content
Retrieve the delivery history for a specific webhook, including payload, status, and retry information.

Endpoint

GET /v1/accounts/:accountId/webhooks/:id/deliveries

Authentication

Bearer token required.

Path Parameters

id
string
required
The webhook’s unique ID.

Query Parameters

limit
number
default:"50"
Number of deliveries to return. Maximum 100.
offset
number
default:"0"
Number of deliveries to skip.

Response

deliveries
WebhookDelivery[]
Array of delivery log entries. See WebhookDelivery.
total
number
Total number of deliveries.
limit
number
The limit used.
offset
number
The offset used.

Example

curl "https://api.collab-kit.com/v1/accounts/${ACCOUNT_ID}/webhooks/wh_abc123/deliveries?limit=10" \
  -H "Authorization: Bearer ${TOKEN}"
Response
{
  "type": "response",
  "success": true,
  "description": "Deliveries retrieved",
  "data": {
    "deliveries": [
      {
        "id": "del_001",
        "webhook_id": "wh_abc123",
        "event": "participant.joined",
        "payload": "{\"event\":\"participant.joined\",\"data\":{\"userId\":\"user-001\",\"roomId\":\"c3003c93-...\"}}",
        "status": "success",
        "attempts": 1,
        "last_attempt_at": "2026-05-29T10:06:00.000Z",
        "next_retry_at": null,
        "status_code": 200,
        "created_at": "2026-05-29T10:06:00.000Z"
      }
    ],
    "total": 1,
    "limit": 10,
    "offset": 0
  },
  "error": null
}